Issue #3607 has been updated by Jon Forums.


I do not see the error on the 1.9.2 branch as of a freshly built Ruby 28749 using a fresh checkout of RubyGems master...

C:\Users\Jon\Documents\RubyDev>ruby --version
ruby 1.9.2dev (2010-07-24 revision 28749) [i386-mingw32]

C:\Users\Jon\Documents\RubyDev>gem list

*** LOCAL GEMS ***

minitest (1.6.0)
rake (0.8.7)
rdoc (2.5.8)



C:\Users\Jon\Documents\RubyDev>gem env
RubyGems Environment:
  - RUBYGEMS VERSION: 1.3.7
  - RUBY VERSION: 1.9.2 (2010-07-24 patchlevel -1) [i386-mingw32]
  - INSTALLATION DIRECTORY: C:/ruby192dev/lib/ruby/gems/1.9.1
  - RUBY EXECUTABLE: C:/ruby192dev/bin/ruby.exe
  - EXECUTABLE DIRECTORY: C:/ruby192dev/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-mingw32
  - GEM PATHS:
     - C:/ruby192dev/lib/ruby/gems/1.9.1
     - C:/Users/Jon/.gem/ruby/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://rubygems.org", "http://gemcutter.org"]
     - "gem" => "--no-ri --no-rdoc"
  - REMOTE SOURCES:
     - http://rubygems.org
     - http://gemcutter.org
----------------------------------------
http://redmine.ruby-lang.org/issues/show/3607

----------------------------------------
http://redmine.ruby-lang.org